package AllowedBuilders
{
    function serverCmdPlantBrick(%client)
    {
        if(!BLIDHasBuildRights(%client.bl_id))
        {
            if($Pref::Server::AllowedBuildersEnable != "0")
            {
                centerPrint(%client,"<color:FF0000>You are not on the list of <color:FFFFFF>allowed players<color:FF0000> to build on this server.",3,3);
                return;
            }
        }
        parent::serverCmdPlantBrick(%client);
    }
    function BLIDHasBuildRights(%blid)
{
    for(%i=0;%i<getWordCount($Pref::Server::AllowedBuilders);%i++)
    {
        if(getWord($Pref::Server::AllowedBuilders,%i) == %blid)
            return 1;
    }
    return 0;
}
};
activatePackage(AllowedBuilders);

if(isFile("Add-Ons/System_ReturnToBlockland/server.cs"))
{
   if(!$RTB::RTBR_ServerControl_Hook)
      exec("Add-Ons/System_ReturnToBlockland/RTBR_ServerControl_Hook.cs");
   RTB_registerPref("Enable","Allowed Builders","$Pref::Server::AllowedBuildersEnable","bool","Script_AllowedBuilders","",0,0);
   RTB_registerPref("Allowed ID's","Allowed Builders","$Pref::Server::AllowedBuilders","string 500","Script_AllowedBuilders","",0,0);
}
else 
    deactivatePackage(AllowedBuilders);
if($serverislan)
    deactivatePackage(AllowedBuilders);

